Threat Actor Detail
GET
https://api.deepinfo.com/v1/cti/threat-actors/{threat_actor_id}Returns one threat actor profile.
Authentication
Send your API key in the apikey request header.
Path Parameters
| Parameter | Required | Description |
|---|---|---|
threat_ | Required | Example <threat_actor_id> |
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | |
name | string | |
aliases | array of string | |
date_ | string | date-time |
date_ | string | date-time |
date_ | string | date-time |
is_ | boolean | |
actor_ | string | |
actor_ | array of string | |
actor_ | string | |
actor_ | array of string | |
description | string | |
law_ | string | |
contact_ | object | |
social_ | object | |
websites | array of string | |
payment_ | object | |
origin_ | array of string | |
leak_ | array of string | |
forum_ | array of string | |
market_ | array of string | |
forum_ | array of string | |
targeted_ | array of string | |
targeted_ | array of string | |
targeted_ | array of string | |
targeted_ | array of string | |
cves_ | array of string | |
tools_ | array of string |
No example response yet. The response's fields are listed above.
Examples
The request and response panels show this example.
- Not Found (nonexistent threat_actor_id)
GET/cti/threat-actors/ffffffffffffffffffffffff404 Not Found